# This job is invoked when a new stable release tag is applied. This job then associates the new tag with a new release.
stable release:
  stage: release
  extends:
    - .rules:stable-release
  dependencies: []
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  variables:
    CHANGELOG: https://gitlab.com/gitlab-org/ci-cd/runner-tools/grit/blob/$CI_COMMIT_TAG/CHANGELOG.md
    CI_PROJECT_ID: 48756626
  environment:
    name: stable/gitlab
    url: https://gitlab.com/gitlab-org/ci-cd/runner-tools/grit/-/releases
  script:
    - echo "Releasing new version $CI_COMMIT_TAG"
  release:
    name: '$CI_COMMIT_TAG'
    description: |
      See [the changelog]($CHANGELOG) :rocket:

      GitLab Runner Infrastructure Toolkit (GRIT) documentation can be found at https://gitlab.com/gitlab-org/ci-cd/runner-tools/grit/-/blob/main/README.md
    tag_name: '$CI_COMMIT_TAG'
    ref: '$CI_COMMIT_TAG'